curl -X POST https://zeplo.ai/api/webhook-configs/1/test \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"delivered": true,
"statusCode": 200,
"responseTime": 250,
"payload": {
"id": "evt_test_123",
"event": "message.received",
"timestamp": "2026-01-15T14:00:00Z",
"data": {
"test": true
}
}
}
}
Webhooks
POST Test Webhook
Send a test payload to a webhook endpoint.
POST
/
api
/
webhook-configs
/
:id
/
test
curl -X POST https://zeplo.ai/api/webhook-configs/1/test \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"delivered": true,
"statusCode": 200,
"responseTime": 250,
"payload": {
"id": "evt_test_123",
"event": "message.received",
"timestamp": "2026-01-15T14:00:00Z",
"data": {
"test": true
}
}
}
}
Test webhook
POST /api/webhook-configs/:id/test
Send a test event to verify your webhook endpoint is working correctly.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl -X POST https://zeplo.ai/api/webhook-configs/1/test \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"delivered": true,
"statusCode": 200,
"responseTime": 250,
"payload": {
"id": "evt_test_123",
"event": "message.received",
"timestamp": "2026-01-15T14:00:00Z",
"data": {
"test": true
}
}
}
}
Incoming webhooks
Global webhook endpoint
ALL /webhook/global
ALL /webhook/:id
Payment webhooks
| Endpoint | Provider |
|---|---|
POST /webhooks/razorpay | Razorpay |
POST /webhooks/stripe | Stripe |
POST /webhooks/paypal | PayPal |
POST /webhooks/paystack | Paystack |
POST /webhooks/mercadopago | Mercado Pago |
